Loading...
Searching...
No Matches
FilePoller Namespace Reference

Main module namespace. More...

## Classes

class | FileDelayedPollerDataProvider
| Event-based data provider for file polling events. More...
class | FilePoller
| File polling class. More...
class | FilePollerDataProvider
| Event-based data provider for file polling events. More...
class | FilePollerDataProviderBase
| Event-based data provider for file events. More...
class | FilePollerDataProviderFactory
| The file poller data provider factory. More...
struct | FilePollerFileEventInfo
| FilePoller file event hash. More...
class | FilePollerFileEventInfoDataType
| File poller event data description. More...

## Variables

const | EVENT_FILE = "file-event"
| File event constant.

## Detailed Description

Main module namespace.